### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class DeploymentService

java.lang.Object
com.sas.services.deployment.DeploymentService

@SASScope("ALL") @BinaryCompatibilityOnly public final class DeploymentService extends Object
Value object used represent a service which can be deployed.

Since:
  9.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeploymentService(com.sas.metadata.remote.SoftwareComponent softwareComponent, com.sas.metadata.remote.Tree tree, com.sas.metadata.remote.ServiceComponent serviceComponent, Properties properties)`
  Creates a value object representing a service that can be deployed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.sas.metadata.remote.ServiceComponent`
  `getServiceComponent()`
  Gets the service.
  `ServiceFactoryInterface`
  `getServiceFactory()`
  Gets the service's factory.
  `com.sas.metadata.remote.SoftwareComponent`
  `getSoftwareComponent()`
  Gets the services deployment.
  `com.sas.metadata.remote.Tree`
  `getTree()`
  Gets the service's deployment group.
  `boolean`
  `isEnabled()`
  Determines whether this service is enabled for deployment.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeploymentService

    public DeploymentService(com.sas.metadata.remote.SoftwareComponent softwareComponent, com.sas.metadata.remote.Tree tree, com.sas.metadata.remote.ServiceComponent serviceComponent, Properties properties) throws ServiceException
    Creates a value object representing a service that can be deployed.
    Parameters:
      `softwareComponent` - Service's deployment.
      `tree` - Service's deployment group.
      `serviceComponent` - Service.
      `properties` - Configuration properties describing the services deployment.
    Throws:
      `ServiceException` - if an invalid parameter is specified.

- ## Method Details

  - ### getSoftwareComponent

    public com.sas.metadata.remote.SoftwareComponent getSoftwareComponent()
    Gets the services deployment.
    Returns:
      The services deployment to which this service is associated.

  - ### getTree

    public com.sas.metadata.remote.Tree getTree()
    Gets the service's deployment group.
    Returns:
      Service's deployment group.

  - ### getServiceComponent

    public com.sas.metadata.remote.ServiceComponent getServiceComponent()
    Gets the service.
    Returns:
      Service.

  - ### getServiceFactory

    public ServiceFactoryInterface getServiceFactory()
    Gets the service's factory.
    Returns:
      Service factory.

  - ### isEnabled

    public boolean isEnabled() throws com.sas.metadata.remote.MdException
    Determines whether this service is enabled for deployment.
    Returns:
      `true` if this service is enabled.
    Throws:
      `com.sas.metadata.remote.MdException` - if unable to access metadata.